Get a building
curl --request GET \
--url https://api.gabin.ai/v1/buildings/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/buildings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/buildings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "bdnb-bg-CJ69-HW8G-PTTG",
"gabin_url": "https://gabin.ai/batiment/40-rue-de-bruxelles-69100-villeurbanne-bdnb-bg-CJ69-HW8G-PTTG",
"name": null,
"address": "40 Rue de Bruxelles, 69100 Villeurbanne",
"other_addresses": [
"2 Rue Racine, 69100 Villeurbanne"
],
"postal_code": "69100",
"insee": "69266",
"city": {
"insee": "69266",
"name": "Villeurbanne",
"department": "69"
},
"district": {
"iris": "692660101",
"name": "Gratte-Ciel"
},
"usage": "residential",
"construction_year": 1934,
"levels": 7,
"housing_units": 42,
"ground_area_m2": 612,
"dpe_class": "D",
"height_m": 21.5,
"heating_energy": "Gaz",
"center": [
4.8795,
45.7665
],
"footprint": {
"type": "Polygon",
"coordinates": [
[
[
4.8792,
45.7663
],
[
4.8798,
45.7663
],
[
4.8798,
45.7667
],
[
4.8792,
45.7667
],
[
4.8792,
45.7663
]
]
]
},
"companies_count": 6,
"companies_count_capped": false
},
"meta": {}
}Buildings
Get a building
Profile of a building (BDNB) by id: name of the place, addresses, city and district, use, construction year, levels, dwellings, footprint, energy class, and the number of linked companies.
Find ids with GET /v1/buildings (area search), GET /v1/geocode (address) or GET /v1/places (named place). Next: /companies and the sections /energy, /transactions, /owners, /condominium, /parcels, /parking, /permits, /fiber, /planning, /market under the same path.
GET
/
v1
/
buildings
/
{id}
Get a building
curl --request GET \
--url https://api.gabin.ai/v1/buildings/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/buildings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/buildings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "bdnb-bg-CJ69-HW8G-PTTG",
"gabin_url": "https://gabin.ai/batiment/40-rue-de-bruxelles-69100-villeurbanne-bdnb-bg-CJ69-HW8G-PTTG",
"name": null,
"address": "40 Rue de Bruxelles, 69100 Villeurbanne",
"other_addresses": [
"2 Rue Racine, 69100 Villeurbanne"
],
"postal_code": "69100",
"insee": "69266",
"city": {
"insee": "69266",
"name": "Villeurbanne",
"department": "69"
},
"district": {
"iris": "692660101",
"name": "Gratte-Ciel"
},
"usage": "residential",
"construction_year": 1934,
"levels": 7,
"housing_units": 42,
"ground_area_m2": 612,
"dpe_class": "D",
"height_m": 21.5,
"heating_energy": "Gaz",
"center": [
4.8795,
45.7665
],
"footprint": {
"type": "Polygon",
"coordinates": [
[
[
4.8792,
45.7663
],
[
4.8798,
45.7663
],
[
4.8798,
45.7667
],
[
4.8792,
45.7667
],
[
4.8792,
45.7663
]
]
]
},
"companies_count": 6,
"companies_count_capped": false
},
"meta": {}
}Authorizations
API key gab_live_… or OAuth access token gat_….
Path Parameters
BDNB building id (batiment_groupe_id). Example: "bdnb-bg-CJ69-HW8G-PTTG".
Maximum string length:
40Pattern:
^bdnb-[a-z]{2,4}-[A-Za-z0-9]{4}(-[A-Za-z0-9]{4})*$⌘I